Obter todos os contatos
curl --request GET \
--url https://{host}/api/contacts/all \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/contacts/all"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/contacts/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contacts": [
{
"jid": "5511999999999@s.whatsapp.net",
"name": "João Silva",
"notify": "João",
"verifiedName": "João Silva",
"businessName": ""
},
{
"jid": "5511888888888@s.whatsapp.net",
"name": "Maria Santos",
"notify": "Maria",
"verifiedName": "Maria Santos",
"businessName": ""
}
]
}
Contatos
Obter Todos os Contatos
Obter lista completa de todos os contatos da sessão
GET
/
api
/
contacts
/
all
Obter todos os contatos
Descrição
Este endpoint retorna a lista completa de todos os contatos disponíveis na sessão do WhatsApp, sem paginação. Use este endpoint quando precisar de todos os contatos de uma só vez.Query Parameters
string
required
ID da sessão autenticada
{
"contacts": [
{
"jid": "5511999999999@s.whatsapp.net",
"name": "João Silva",
"notify": "João",
"verifiedName": "João Silva",
"businessName": ""
},
{
"jid": "5511888888888@s.whatsapp.net",
"name": "Maria Santos",
"notify": "Maria",
"verifiedName": "Maria Santos",
"businessName": ""
}
]
}
Códigos de Status
200- Contatos retornados com sucesso400- Parâmetros inválidos401- Sessão não autorizada404- Sessão não encontrada
Exemplo de Uso
curl -X GET "https://api.wappfy.com.br/api/contacts/all?sessionId=my-session"
const sessionId = 'my-session';
const response = await fetch(
`https://api.wappfy.com.br/api/contacts/all?sessionId=${sessionId}`
);
const data = await response.json();
console.log(data);
console.log(`Total de contatos: ${data.contacts.length}`);
import requests
session_id = 'my-session'
response = requests.get(
'https://api.wappfy.com.br/api/contacts/all',
params={'sessionId': session_id}
)
data = response.json()
print(data)
print(f"Total de contatos: {len(data['contacts'])}")
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Query Parameters
Ordenar por campo
Available options:
id, name Ordem de ordenação - descendente (Z => A, Novo primeiro) ou ascendente (A => Z, Antigo primeiro) (Sort order - descending (Z => A, New first) or ascending (A => Z, Old first))
Available options:
desc, asc Response
200 - undefined
